//*************************
// Mixins
//*************************

@mixin font-size-mix($value, $type) {
  .fs#{$type}-#{$value} {
    font-size: #{$value}px;
  }
}

//*************************
// Font-size
//*************************

@each $item in $sizes {
  $size: get-grid-size($item);

  @for $i from 1 to 30 {
    @include font-size-mix($i, $size);
  }

  @for $i from 15 through 50 {
    $value: $i * 2;

    @include font-size-mix($value, $size);
  }
}

//*************************
// Titles
//*************************

h1,
.h1 {
  font-size: 2.5rem;
}

h2,
.h2 {
  font-size: 2rem;
}

h3,
.h3 {
  font-size: 1.75rem;
}

h4,
.h4 {
  font-size: 1.5rem;
}

h5,
.h5 {
  font-size: 1.25rem;
}

h6,
.h6 {
  font-size: 1rem;
}